%define languageenglazy Icelandic
%define languagecode    is
%define lc_ctype        is_IS

%define upstream_version 20160314

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://github.com/nifgraup/hunspell-is/
Source0:        https://github.com/nifgraup/hunspell-is/archive/master/%{name}-%{version}.tar.gz
Source1:	https://dumps.wikimedia.org/iswiktionary/latest/iswiktionary-latest-pages-articles.xml.bz2

Patch0:		hunspell-is-0.20160314.1-mythes-path.patch

BuildRequires:	pkgconfig(mythes)
BuildRequires:	pkgconfig(python3)
BuildRequires:	hunspell
BuildRequires:	ed
BuildRequires:	gawk
BuildRequires:	bzip2
BuildRequires:	python3
BuildRequires:	python3dist(mwparserfromhell)
BuildRequires:	coreutils
BuildRequires:	locales-is

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-is
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{name}-master
%autopatch -p1

cp %{SOURCE1} .

%build
export PYTHONIOENCODING=utf-8
export LC_ALL='%{lc_ctype}.utf8'
%__make

%install
install -D -m 0644 -p dicts/is*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dicts/is*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.md
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.20160314.1-14.mga9
+ Revision: 1830747
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20160314.1-13.mga8
+ Revision: 1501639
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20160314.1-12.mga7
+ Revision: 1278841
- Mageia 7 Mass Rebuild

* Fri Mar 30 2018 kekepower <kekepower> 0.20160314.1-11.mga7
+ Revision: 1213627
- BR locales-is
- Fix BuildRequires
- Update to release 20160314
- BR mythes-devel
- Add patch to fix path to mythes

* Mon Feb 08 2016 umeabot <umeabot> 0.20090823.1-11.mga6
+ Revision: 944864
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20090823.1-10.mga5
+ Revision: 749607
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20090823.1-9.mga5
+ Revision: 680257
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20090823.1-8.mga4
+ Revision: 505643
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20090823.1-7.mga3
+ Revision: 353505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20090823.1-6.mga3
+ Revision: 325466
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20090823.1-5.mga2
+ Revision: 224696
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20090823.1-4.mga2
+ Revision: 208098
- use better obsoleting of myspell

* Thu Jan 26 2012 kamil <kamil> 0.20090823.1-3.mga2
+ Revision: 201838
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090823.1-2.mga1
+ Revision: 68864
- imported package hunspell-is


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090823-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 25 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090823-1
- most recent effort

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060928-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20060928-4
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060928-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 02 2008 Caolan McNamara <caolanm@redhat.com> - 0.20060928-2
- Duplicate dictionaries installed

* Wed Sep 03 2006 Caolan McNamara <caolanm@redhat.com> - 0.20060928-1
- initial version
